IBM Security Guardium

  • 1.  Linux Supported Version

    Posted Mon August 02, 2021 11:35 PM
    HI Everyone,

    Need help urgently. I can see only RHEL Supported version 8 in the website (https://www.securitylearningacademy.com/mod/data/view.php?id=19457&mode=&search=&advanced=1)But What about RHEL 8.1, 8.2, 8.3 & 8.4? Does it Supports?
    Kernel for RHEL 8.3 & 8.4 (4.18.0-240.15.1.el8_3.x86_64, 4.18.0-305.3.1.el8_4.x86_64) and getting below error.
    Even I am not able to filter with Version 11.3 in Guardium Version section.
    Please do the needful.



    Thanks,
    Panendar Rao.C

    ------------------------------
    PHANENDRA RAO CHAVANA
    ------------------------------


  • 2.  RE: Linux Supported Version

    Posted Tue August 03, 2021 05:51 AM
    Hello, 

    Following kernel are supported by  Guardium ( Release : Guardium_KTAP_11.3_rhel-8-linux-x86-64_r110195_2021-07-27 )  heighted are the Ones you have mentioned. 

    ## Supported kernel
    4.18.0-80.el8.x86_64
    4.18.0-147.3.1.el8_1.x86_64
    4.18.0-147.5.1.el8_1.x86_64
    4.18.0-193.el8.x86_64
    4.18.0-240.1.1.el8_3.x86_64
    4.18.0-240.15.1.el8_3.x86_64
    4.18.0-240.22.1.el8_3.x86_64
    4.18.0-305.3.1.el8_4.x86_64
    4.18.0-305.7.1.el8_4.x86_64
    4.18.0-305.el8.x86_64
    4.18.0-80.el8.s390x
    4.18.0-147.el8.s390x

    Thanks,

    ------------------------------
    Tehseen sarwar
    ------------------------------



  • 3.  RE: Linux Supported Version

    Posted Tue August 03, 2021 08:54 AM
    You will need to pull down the latest STAP, version r110195, as well as apply the latest KTAP - Guardium_KTAP_11.3_rhel-8-linux-x86-64_r110195_2021-07-27.
    It works best to install the STAP with KTAP_ENABLED=0. Once it is successful, then apply the KTAP with KTAP_ENABLE=1 along with KTAP_ALLOW_MODULE_COMBOS=Y and KTAP_LIVE_UPDATE=Y

    ------------------------------
    Jennifer Dodson
    ------------------------------



  • 4.  RE: Linux Supported Version

    Posted Tue August 03, 2021 09:54 AM
    Yes, all releases of Red Hat 8 are fully supported, on x86_64, ppc64le, and s390x processors.

    ------------------------------
    Paul Spencer
    ------------------------------



  • 5.  RE: Linux Supported Version

    Posted Wed August 04, 2021 02:36 AM
    Hi Everyone,

    Thanks for all of your answers.
    I have one general question. Regularly we install GIM & STAP version with parameters below:
    STAP_ENABLED - 1
    KTAP_ENABLED - 1
    KTAP_LIVE_UPDATE - Y
    KTAP_ALLOW_MODULE_COMBOS - Y.

    But the kernel I can see in excel sheet shows like this:
    If it is Flex, How should i install GIM & STAP? More over, the database running on this OS is MySQL and MSSQL server.
    please suggest.


    Thanks,
    Panendar Rao.C

    ------------------------------
    PHANENDRA RAO CHAVANA
    ------------------------------



  • 6.  RE: Linux Supported Version

    Posted Thu August 05, 2021 01:45 PM
    https://www.ibm.com/docs/en/guardium/11.3?topic=tap-linux-unix-gim-s-installation-parameters

    Flex load is controlled by KTAP_ALLOW_MODULE_COMBOS so if you have that set to Y then you have flex loading enabled.

    ------------------------------
    Paul Spencer
    ------------------------------